function Create(self)
	self.alterdist = 95; --How far the gravity effect can reach
	self.slowitem = 0.3; --How much thrown items are slowed
	self.slowbullet = 0.65 --How much bullets are slowed
	self.Vel = Vector(0, 0);
end

function Update(self)

-- for grenades, tools, weapons ect.

	for item in MovableMan.Items do
		if item.HitsMOs and (item.ClassName == "TDExplosive") and SceneMan:ShortestDistance (item.Pos,self.Pos,false).Magnitude <= self.alterdist then
			item.Vel = item.Vel * (1 - self.slowitem)
			if (item.Vel.Y <= 8) and (item.Vel.Y > 1) then
				item.Vel.Y = item.Vel.Y - 1
			end
			if (item.Vel.Y >= -8) and (item.Vel.Y < -1) then
				item.Vel.Y = item.Vel.Y + 1
			end
			if (item.Vel.X <= 8) and (item.Vel.X > 1) then
				item.Vel.X = item.Vel.X - 1
			end
			if (item.Vel.X >= -8) and (item.Vel.X < -1) then
				item.Vel.X = item.Vel.X + 1
			end
			if (item.Vel.Y <= 1) and (item.Vel.Y >= -1) then
				item.Vel.Y = (SceneMan.GlobalAcc.Y * TimerMan.DeltaTimeSecs)*-1
			end
		end

   	end

-- for bullets and rockets and gibs

	for target in MovableMan.Particles do
		if (target:IsInGroup("TimeWarp") == false) and SceneMan:ShortestDistance(target.Pos,self.Pos,false).Magnitude <= self.alterdist then
			target.Vel = target.Vel * (1 - self.slowbullet)
			if (target.Vel.Y <= 5) and (target.Vel.Y > 2) then
				target.Vel.Y = target.Vel.Y - 1
			end
			if (target.Vel.Y >= -5) and (target.Vel.Y < -1) then
				target.Vel.Y = target.Vel.Y + 1
			end
			if (target.Vel.X <= 5) and (target.Vel.X > 1) then
				target.Vel.X = target.Vel.X - 1
			end
			if (target.Vel.X >= -5) and (target.Vel.X < -1) then
				target.Vel.X = target.Vel.X + 1
			end
			if (target.Vel.Y <= 1) and (target.Vel.Y >= -1) then
				target.Vel.Y = (SceneMan.GlobalAcc.Y * TimerMan.DeltaTimeSecs)*-1
			end
		end
	end
end
